Bug 58743 - default behavoir of re-formatting multiple swap partitions is not correct-don't reformat
default behavoir of re-formatting multiple swap partitions is not correct-don...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-01-23 17:46 EST by john.goshdigian
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 22:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description john.goshdigian 2002-01-23 17:46:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; U; Linux 2.2.12-20smp i686)

Description of problem:
during an installation with multiple drives, in  disk druid, the default
behavoir to
reformat all drives that happen to have a swap partition is NOT correct.
The default should be NO to format the swap partitions.
On large systems with many disk drives, there can be a variety of operating
systems and partition tables. When installing RH7.2 on a single drive, the user
wants the install
to only modify the partitions being utilized for the installation.
Please don't force the user to deselect all other drives that  have swap space
on them. 
The install correctly does NOT default to  formatting other partitions on the
different disks.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Perform an install on a system that  has multiple disk drives, where the
drives have older versions of Linux already on them.
2. prepare to install on 1 disk
3. view disk druid's layout of all the disks and witness default of YES to
format on all
swap partitions.	

Actual Results:  
Actual results:
3. installation would format all swap partitions on other system disks that it
should not be touching.

Expected Results:  Expected results:
3. view disk druid's layout of all the disks and witness default of NO to format
on all
swap partitions, except the disk that RH 7.2 is to be installed on.

Additional info:

On large systems it is common to have different disk drives for different
Please don't  format  disk drives that are not intended to be used during the
Comment 1 Beth Uptagrafft 2002-02-11 14:09:27 EST
This behavoir happens on 7.2 x86.
Comment 2 Jeremy Katz 2004-10-04 22:29:02 EDT
This has been changed since.

Note You need to log in before you can comment on or make changes to this bug.